/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.
*/
#ifndef PRCORE_INTERFACE_HPP
#define PRCORE_INTERFACE_HPP



namespace prcore
{

	class Interface
	{
		public:
		
		void		SetName(const char* name);
		const char*	GetName() const;
		void		AddRef();
		int			NumRef() const;
		void		Release();

		protected:

		Interface();
		Interface(const Interface& other);
virtual	~Interface();

		void		operator = (const Interface& other);
		
		int			mRefCount;
		String		mName;
	};

} // namespace prcore



#endif